package oclib

import "sync"

// ===================================================
//	This class has to be updated everytime
//	a new configuration variable is defined
//	in a componant that imports oc-lib
// ===================================================

type Config struct {
	mongoUrl      string
	mongoDatabase string
}

func (c Config) GetUrl() string {
	return c.mongoUrl
}

func (c Config) GetDatabase() string {
	return c.mongoDatabase
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}

func SetConfig(url string, database string) *Config {
	instance = &Config{
		mongoUrl:      url,
		mongoDatabase: database,
	}
	return instance
}
